namespace adas_core.Domain.Models;

public class Note
{
    public string? CommentType { get; set; } = string.Empty;

    public string Comment { get; set; } = string.Empty;

    public DateTime? EnteredTime { get; set; }

    public override string ToString()
    {
        List<string> items = [];

        if (!string.IsNullOrEmpty(CommentType)) items.Add($", commentType: {CommentType}");
        if (!string.IsNullOrEmpty(Comment)) items.Add($"comment: {Comment}");
        if (EnteredTime != null) items.Add($", enteredTime:  {EnteredTime}");


        return "note[" + string.Join(", ", items) + "]";
    }
}